> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance Sheet

> Generate a Balance Sheet



## OpenAPI

````yaml https://dev.tight.com/v3/api-docs post /v6/reports/balanceSheet
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.tight.com
    description: Staging Environment
  - url: https://prod.tight.com
    description: Production Environment
security:
  - EmbedToken: []
paths:
  /v6/reports/balanceSheet:
    post:
      tags:
        - Reports
      summary: Balance Sheet
      description: Generate a Balance Sheet
      operationId: generateBalanceSheet
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BalanceSheetRequestDto'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponseReportDtoBalanceSheetJson'
              example:
                result: SUCCESS
                data:
                  json:
                    - name: 2025-01-01 to 2025-12-31
                      period:
                        beginDate: '2025-01-01'
                        endDate: '2025-12-31'
                      assets:
                        name: Assets
                        total: 566987
                        children:
                          - name: Current Assets
                            accountId: gla_167242942
                            accountNo: '11000'
                            total: 543262
                            children:
                              - name: TD Bank - Checking *0619
                                accountId: gla_167243195
                                accountNo: '11001'
                                total: 453943
                              - name: Charles Schwab - Checking *4692
                                accountId: gla_167243196
                                accountNo: '11002'
                                total: 2071390
                              - name: Stripe
                                accountId: gla_167245693
                                accountNo: '11003'
                                total: 2669
                              - name: fewfwe *1234
                                accountId: gla_170556888
                                accountNo: '11005'
                                total: 350
                              - name: Accounts Receivable
                                accountId: gla_167242948
                                accountNo: '11500'
                                total: 9110
                              - name: Undeposited Funds
                                accountId: gla_167242952
                                accountNo: '11700'
                                total: 5800
                          - name: Fixed Assets
                            accountId: gla_167242953
                            accountNo: '15000'
                            total: 23725
                            children:
                              - name: Automobile
                                accountId: gla_167242955
                                accountNo: '15100'
                                total: 16371
                                children:
                                  - name: Automobile Cost
                                    accountId: gla_167242955
                                    accountNo: '15110'
                                    total: 16371
                              - name: Computers, Servers And Related Hardware
                                accountId: gla_167242958
                                accountNo: '15200'
                                total: 2804
                                children:
                                  - name: >-
                                      Computers, Servers And Related Hardware
                                      Cost
                                    accountId: gla_167242958
                                    accountNo: '15210'
                                    total: 2804
                              - name: Furniture and Equipment
                                accountId: gla_167242961
                                accountNo: '15300'
                                total: 4550
                                children:
                                  - name: Furniture and Equipment Cost
                                    accountId: gla_167242961
                                    accountNo: '15310'
                                    total: 4550
                          - name: Other Assets
                            accountId: gla_167242966
                            accountNo: '18000'
                            total: 0
                            children: []
                      liabilitiesAndEquity:
                        name: Total Liabilities & Equity
                        total: 566987
                        liabilities:
                          name: Liabilities
                          total: 544165
                          children:
                            - name: Current Liabilities
                              accountId: gla_167242969
                              accountNo: '21000'
                              total: 544165
                              children:
                                - name: American Express - Credit Card *3008
                                  accountId: gla_167243197
                                  accountNo: '21001'
                                  total: 122888
                                - name: Wells Fargo - Credit Card *1585
                                  accountId: gla_167243198
                                  accountNo: '21002'
                                  total: 911476
                                - name: American Express - Platinum Card® *2008
                                  accountId: gla_174147300
                                  accountNo: '21004'
                                  total: -490199
                            - name: Long-term Liabilities
                              accountId: gla_167242977
                              accountNo: '25000'
                              total: 0
                              children: []
                        equity:
                          name: Equity
                          total: 22822
                          children:
                            - name: Current Income
                              accountNo: '31001'
                              total: 1641165
                            - name: Capital Stock
                              accountId: gla_171128184
                              accountNo: '32000'
                              total: -712872
                            - name: Shareholder Distributions
                              accountId: gla_171128186
                              accountNo: '36000'
                              total: 6000
                            - name: Personal Income & Expenses
                              accountId: gla_171128187
                              accountNo: '36500'
                              total: -11891
                            - name: Retained Earnings
                              accountId: gla_171128188
                              accountNo: '37000'
                              total: 1100420
                  meta:
                    title: Balance Sheet
                    generatedOn: '2025-12-03T10:30:00'
                    generatedBy: Joe LaForgia
                    footerLine: Generated on 12/03/2025 at 7:45:55 PM by Joseph LaForgia
                error: []
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: REQUIRED
                    message: Amount is required
                    param: amount
        '401':
          description: Not authenticated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: INVALID_TOKEN
                    message: Invalid access token
        '403':
          description: Not authorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: FORBIDDEN
                    message: Expired access token
        '404':
          description: Endpoint not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: BAD_REQUEST
                    message: Resource not found
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              example:
                result: FAILURE
                error:
                  - type: UNKNOWN_ERROR
                    message: Something went wrong. Please try again later.
      security:
        - EmbedToken: []
components:
  schemas:
    BalanceSheetRequestDto:
      type: object
      properties:
        exportType:
          type: string
          description: Export format for the report
          enum:
            - JSON
            - CSV
        recipients:
          $ref: '#/components/schemas/Recipients'
        accountingMethod:
          type: string
          description: >-
            Accounting method to generate the report in. Defaults to the
            company's configured accounting method.
          enum:
            - ACCRUAL
            - CASH
        filter:
          $ref: '#/components/schemas/DateRangeFilters'
        grouping:
          $ref: '#/components/schemas/PeriodGrouping'
        dateGrouping:
          type: string
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
    SuccessResponseReportDtoBalanceSheetJson:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          $ref: '#/components/schemas/ReportDtoBalanceSheetJson'
    ErrorResponse:
      type: object
      properties:
        result:
          type: string
          description: The result of the action performed.
          enum:
            - SUCCESS
            - FAILURE
        data:
          type: object
          description: The data generated by the action performed.
          nullable: true
        error:
          type: array
          items:
            $ref: '#/components/schemas/ErrorItem'
    Recipients:
      type: object
      properties:
        emails:
          type: array
          description: Primary email recipients
          items:
            type: string
            description: Primary email recipients
            format: email
      description: Email recipients for the report
    DateRangeFilters:
      type: object
      properties:
        beginDate:
          type: string
          description: Beginning date for the report
          format: date
          example: '2025-01-01'
        endDate:
          type: string
          description: Ending date for the report
          format: date
          example: '2025-12-31'
      description: Filters to apply to the report
    PeriodGrouping:
      type: object
      properties:
        period:
          type: string
          description: Date period to group the report by
          example: MONTHLY
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
        dateGrouping:
          type: string
          enum:
            - DAILY
            - MONTHLY
            - QUARTERLY
            - YEARLY
            - NONE
      description: Grouping options for the report
    ReportDtoBalanceSheetJson:
      type: object
      properties:
        json:
          type: array
          description: Report data in JSON format
          items:
            $ref: '#/components/schemas/BalanceSheetJson'
        url:
          type: string
          description: URL to download the csv report
        meta:
          $ref: '#/components/schemas/ReportMeta'
      description: The data generated by the action performed.
    ErrorItem:
      type: object
      properties:
        type:
          type: string
          description: The type of the error. Safe for programmatic use.
          enum:
            - UNKNOWN_ERROR
            - INVALID_TOKEN
            - EXPIRED_TOKEN
            - FORBIDDEN
            - BAD_REQUEST
            - JSON_ERROR
            - DUPLICATE
            - REQUIRED
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - INVALID_FORMAT
            - NOT_FOUND
        message:
          type: string
          description: >-
            A human-readable message providing more details about the error.
            Safe for displaying to a user.
        param:
          type: string
          description: >-
            If the error is parameter-specific, the parameter related to the
            error. This can be used to display a message near the correct form
            field.
      description: Errors associated with the action performed, if applicable.
    BalanceSheetJson:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: Jan 2025
        period:
          $ref: '#/components/schemas/Period'
        assets:
          $ref: '#/components/schemas/BalanceSheetSection'
        liabilitiesAndEquity:
          $ref: '#/components/schemas/LiabilitiesAndEquity'
    ReportMeta:
      type: object
      properties:
        title:
          type: string
          description: Report title
        generatedOn:
          type: string
          description: Date and time when the report was generated
          format: date-time
        generatedBy:
          type: string
          description: User who generated the report
          example: John Doe
        footerLine:
          type: string
          description: Footer line for the report
          example: Generated by Tight
      description: Metadata about the generated report
    Period:
      type: object
      properties:
        beginDate:
          type: string
          format: date
        endDate:
          type: string
          format: date
      description: Period applicable for this section
    BalanceSheetSection:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: Assets
        total:
          type: integer
          description: Total amount for this section
        children:
          type: array
          description: Child line items
          items:
            $ref: '#/components/schemas/BalanceSheetLineItem'
      description: Equity section
    LiabilitiesAndEquity:
      type: object
      properties:
        name:
          type: string
          description: Section name
          example: Liabilities and Equity
        total:
          type: integer
          description: Total amount for liabilities and equity
        liabilities:
          $ref: '#/components/schemas/BalanceSheetSection'
        equity:
          $ref: '#/components/schemas/BalanceSheetSection'
      description: Liabilities and equity section of the balance sheet
    BalanceSheetLineItem:
      type: object
      properties:
        name:
          type: string
          description: A user-friendly name of this node, useful for display purposes
          example: Shareholder Distributions
        accountId:
          type: string
          description: >-
            Id of the associated account, referencing an account in the Chart of
            Accounts
          nullable: true
        accountNo:
          type: string
          description: >-
            Number of the associated account, referencing an account in the
            Chart of Accounts
          example: '37000'
        total:
          type: integer
          description: Line item total amount
        children:
          type: array
          description: Child line items for this entry
          items:
            $ref: '#/components/schemas/BalanceSheetLineItem'
      description: Child line items
  securitySchemes:
    EmbedToken:
      type: http
      description: >-
        Bearer authentication header of the form `Bearer <token>`, see
        [Authentication for more
        detail](/api-reference/authentication#partner-level-authentication).
      scheme: bearer

````